База данных плагинов, совместимых с Gutenberg

1 Звезда2 Звезды3 Звезды4 Звезды5 Звезд (Пока оценок нет)
Загрузка...

В идеале большинство пользователей WordPress должны иметь возможность использовать Gutenberg в день выхода WordPress 5.0. Они нажмут «Обновить WordPress», вернутся в редактор и продолжат работать в Gutenberg со всеми функциями, к которым они привыкли в классическом редакторе.

Но плагины! Если какой-либо из их активных плагинов несовместим с Gutenberg, пользователь WordPress, функциональность сайта может нарушиться. У многих установлены десятки активных плагинов, для которых есть вероятность несовместимости Gutenberg. Это несет риск для владельца сайта.

Чтобы минимизировать возможные неприятные последствия, разработчики WordPress представили недавно Базу данных совместимых с Gutenberg плагинов. Это краудсорсинговый инструмент, основная задача которого протестировать совместимость плагинов из репозитория WordPress.org c редактором Gutenberg. Такой набор данных позволит нам:

  • Узнать причины несовместимости.
  • Сосредоточить внимание разработчиков на самых основных проблемах
  • Информировать пользователей WordPress о готовности их сайта к Gutenberg

Единственный нюанс: нужно много времени для тестирования. Если для каждого плагина требуется примерно 1 минута для тестирования, понадобится ~ 75 человеко-часов, чтобы проверить ~ 4500 плагинов в базе данных.

Более подробно можно прочитать в описании проекта README.md. Там дается определение «Совместимый с Gutenberg», объяснение, почему в базе только 5000 плагинов, и другие проектные решения.

Разработчики приглашают всех желающих принять участие в тестировании плагинов и пополнить базу данных новой информацией.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Scroll to top